%define name	openmovieeditor
%define version	0.0.20070607
%define release %mkrel 1

%define title Open Movie Editor
%define longtitle Non-linear video editor

Name: 	 	%{name}
Summary: 	Simple non-linear video editor
Version: 	%{version}
Release: 	%{release}
Epoch:		1

Source:		http://prdownloads.sourceforge.net/openmovieeditor/%{name}-%{version}.tar.bz2
URL:		http://openmovieeditor.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	libsndfile-devel gavl-devel jackit-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libquicktime-devel
BuildRequires:	fltk-devel
%if %mdkversion > 200700
BuildRequires:	mesaglu-devel
%else
BuildRequires:	MesaGLU-devel
%endif
BuildRequires:	ffmpeg-devel
Requires:	libquicktime

%description
The Open Movie Editor is designed to be a simple tool that provides basic movie
making capabilities. It aims to be powerful enough for the amateur movie
artist, yet easy to use. It is a non-linear video editor that features several
video and audio tracks where clips can be manipulated using the mouse.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name}gui
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;AudioVideoEditing;X-MandrivaLinux-Multimedia-Video;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS ChangeLog TODO README
%{_bindir}/%name
%_datadir/applications/mandriva-%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Wed Jun 13 2007 Austin Acton <austin@mandriva.org> 1:0.0.20070607-1mdv2008.0
+ Revision: 38885
- buildrequires libsamplerate-devel
- new version
- drop debian menu
- fix XDG menu categories


* Wed Jul 19 2006 Jerome Martin <jmartin@mandriva.org> 0.0.20060712-1mdv2007.0
- New relrease 0.0.20060712
- Fix buildrequires for backport
- xdg menu

* Sat Jul 08 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.20060630-1mdv2007.0
- New release 0.0.20060630
- fix buildrequires

* Thu May 04 2006 Austin Acton <austin@mandriva.org> 0.0.20060504-1mdk
- New release 0.0.20060504

* Sat Apr 15 2006 Austin Acton <austin@mandriva.org> 20060413-1mdk
- new release
- buildrequires ffmpeg
- epoch 1

* Thu Mar 30 2006 Austin Acton <austin@mandriva.org> 20060326-1mdk
- New release 20060326

* Mon Mar 06 2006 Austin Acton <austin@mandriva.org> 20060226-2mdk
- buildreuires GLU
- requires libquicktime

* Mon Mar 06 2006 Austin Acton <austin@mandriva.org> 20060226-1mdk
- initial package

